
out vec4 fragColor;

in vec3 texCoord0;

void main() {
	
	vec4 baselight = texture(tInputBase, texCoord0.xy);
	vec4 rearlight = texture(tInputLight, texCoord0.xy);
	vec4 turnlight = texture(tInputTurn, texCoord0.xy);
	vec4 brakelight = texture(tInputBrake, texCoord0.xy);
	fragColor = vec4(baselight.rgb+(turnlight.rgb*turnOn)+(brakelight.rgb*brakeOn)+(rearlight.rgb*lightOn),1.0);
}
